# frozen_string_literal: true

require 'tty-table'

module Sftui
  class FrameBuffer
    def initialize
      @buffer = []
    end

    def latest_frame
      @buffer[-1]
    end

    def push(frame)
      @buffer << frame
    end

    def pop(frame)
      @buffer -= [frame]
    end
  end
end
