# frozen_string_literal: true

require 'httparty'
require 'sidekiq'

module Sftui
  class PublishScannerDataWorker
    include Sidekiq::Worker

    def perform(data)
      response = HTTParty.post("#{ENV['SMART_FACTORY_API_HOST']}/api/v1/scanner_data", body: data)
      raise StandardError.new, response.message unless response.success?
    end
  end
end
